// ===========Oooo==========================================Oooo============
// =  Copyright (C) 2014-2017 Jinan Gowin Semiconductor Technology Co.,Ltd.   
// =                     All rights reserved.                         
// =========================================================================
//           
//  __      __      __  
//  \ \    /  \    / /   [File name   ] user_if.h
//   \ \  / /\ \  / /    [Authors     ] Kai Liu
//    \ \/ /  \ \/ /     [Description ] header file for user interface
//     \  /    \  /      [Timestamp   ] Thu Aug 17 09:00:30 2017
//      \/      \/       
//                       
// ===========Oooo==========================================Oooo============

#ifndef USER_IF_H_
#define USER_IF_H_

#include "types.h"

//Client as transmitter
int type_c_cyp_if_flow(uint8_t* msg_data,uint32_t data_size);
int type_c_snk_soft_reset_flow(uint8_t* msg_data,uint32_t data_size);
int type_c_snk_hard_reset_flow(uint8_t* msg_data,uint32_t data_size);
int type_c_snk_power_role_swap_flow(uint8_t* msg_data,uint32_t data_size);
int type_c_fast_role_swap_flow(uint8_t* msg_data,uint32_t data_size);
int type_c_snk_data_role_swap_flow(uint8_t* msg_data,uint32_t data_size);
int type_c_snk_vconn_swap_flow(uint8_t* msg_data,uint32_t data_size);
int type_c_snk_alert_flow(uint8_t* msg_data,uint32_t data_size);
int type_c_src_capa_flow(uint8_t* msg_data,uint32_t data_size);
int type_c_src_capa_ext_flow(uint8_t* msg_data,uint32_t data_size);
int type_c_snk_battery_capa_flow(uint8_t* msg_data,uint32_t data_size);
int type_c_snk_battery_status_flow(uint8_t* msg_data,uint32_t data_size);
int type_c_snk_manufacturer_info_flow(uint8_t* msg_data,uint32_t data_size);
int type_c_snk_country_code_flow(uint8_t* msg_data,uint32_t data_size);
int type_c_snk_country_info_flow(uint8_t* msg_data,uint32_t data_size);
int type_c_snk_security_flow(uint8_t* msg_data,uint32_t data_size);
int type_c_snk_fw_up_flow(uint8_t* msg_data,uint32_t data_size);

//Client as receiver
int type_c_client_respond_to_host(uint8_t* msg_data,uint32_t data_size);

//Initializes CC-Port GPIO
void cc_port_rx_GPIO_Config(void);

#endif
