// ===========Oooo==========================================Oooo============
// =  Copyright (C) 2014-2017 Jinan Gowin Semiconductor Technology Co.,Ltd.   
// =                     All rights reserved.                         
// =========================================================================
//           
//  __      __      __  
//  \ \    /  \    / /   [File name   ] main.c
//   \ \  / /\ \  / /    [Authors     ] Kai Liu
//    \ \/ /  \ \/ /     [Description ] source file for main
//     \  /    \  /      [Timestamp   ] Thu Aug 17 09:00:30 2017
//      \/      \/       
//                       
// ===========Oooo==========================================Oooo============

#include "GOWIN_M1.h"
#include "user_if.h"

//Client
int usb_type_c_client(void)
{
	int ret = 0;

	uint8_t msg_data[MAX_DATA_SIZE] = {0};
	uint32_t data_size = 0;
	
	//Default : As Cypress Interface.
	ret = type_c_cyp_if_flow(msg_data,data_size);
	if(ret)
	{
		return ret;
	}
	
	//Example: Power Negotiation
	//Wait to receive from host and respond to host
//	while(1)
//	{
//		ret = type_c_client_respond_to_host(msg_data,data_size);
//		if(ret)
//		{
//			return ret;
//		}
//	}
	
	return 0;
}

int main(void)
{
	int ret = 0;
	
	//SystemInit();             //Initializes system
	cc_port_rx_GPIO_Config(); //Initializes CC RX GPIO
	
	/* User Application Codes */
	ret = usb_type_c_client();
	if(ret)
	{
		return ret;
	}
	return ret;
	//while(1);
}
