// ===========Oooo==========================================Oooo============
// =  Copyright (C) 2014-2017 Jinan Gowin Semiconductor Technology Co.,Ltd.   
// =                     All rights reserved.                         
// =========================================================================
//           
//  __      __      __  
//  \ \    /  \    / /   [File name   ] types.h
//   \ \  / /\ \  / /    [Authors     ] Kai Liu
//    \ \/ /  \ \/ /     [Description ] header file for data types
//     \  /    \  /      [Timestamp   ] Thu Aug 17 09:00:30 2017
//      \/      \/       
//                       
// ===========Oooo==========================================Oooo============

#ifndef TYPES_H_
#define TYPES_H_

#include <stdio.h>

//define "bool" type and value
typedef int boolean;
#define true 1
#define false 0

#define NUM_BITS	8
#define MAX_DATA_SIZE 600 //BMC Tx/Rx Packet's size.
#define MSG_DATA_SIZE 260 //Message Data Size
#define EXT_DATA_SIZE 4		//Extended Data Size
#define MAX_DATA_MSG_SIZE 28 //Max Data Message's Size

//unsigned char
typedef unsigned char uint8_t;
//unsigned int
typedef unsigned int uint32_t;
//unsigned short
typedef unsigned short uint16_t;

#endif
