#!/usr/bin/env python3
#
# This is free and unencumbered software released into the public domain.
#
# Anyone is free to copy, modify, publish, use, compile, sell, or
# distribute this software, either in source code form or as a compiled
# binary, for any purpose, commercial or non-commercial, and by any
# means.

from sys import argv

binfile = argv[1]
#nwords = int(argv[2])

with open(binfile, "rb") as f:
    bindata = f.read()

#assert len(bindata) % 4 == 0


f0 = open("itcm0", "w")
f1 = open("itcm1", "w")
f2 = open("itcm2", "w")
f3 = open("itcm3", "w")


for i in range(len(bindata) // 4):
    if i < len(bindata) // 4:
        w = bindata[4*i : 4*i+4]
        print("%02x" % (w[0]), file = f0)
        print("%02x" % (w[1]), file = f1)
        print("%02x" % (w[2]), file = f2)
        print("%02x" % (w[3]), file = f3)
    else:
        print("0")

